
FreeNAS - Feature #26178

Umbrella # 25917 (Done): Move business logic from Django to middlewared and make websocket API feature complete

Convert Services:TFTP to Middlewared

10/13/2017 04:27 AM - William Grzybowski

Status: Resolved Estimated time: 0.00 hour

Priority: Regression   

Assignee: Vladimir Vinogradenko   

Category: Middleware   

Target version: 11.1-RC3   

Severity:  Needs Merging: Yes

Reason for Closing:  Needs Automation: Yes

Reason for Blocked:  Support Suite Ticket: n/a

Needs QA: No Hardware

Configuration:

 

Needs Doc: Yes   

Description

Ticket to track transfer of business logic from Django/GUI to middlewared and making use of middleware client in GUI.

Associated revisions

Revision a479c978 - 11/14/2017 10:33 PM - Vladimir Vinogradenko

fix(tftp): Make tftp onestart work

Don't use srv_enabled in ix-inetd to check whether we should append tftpd to inetd.conf

It will be false when tftp service is disabled, and onestart command was issued

Ticket: #26178

Revision 9a299089 - 11/16/2017 06:28 AM - Vladimir Vinogradenko

fix(tftp): Make tftp onestart work

Don't use srv_enabled in ix-inetd to check whether we should append tftpd to inetd.conf

It will be false when tftp service is disabled, and onestart command was issued

Ticket: #26178

History

#1 - 10/13/2017 04:27 AM - William Grzybowski

- Copied from Feature #25944: Add Services:Rsync  to Middlewared added

#2 - 10/13/2017 04:28 AM - William Grzybowski

- Copied to Feature #26179: Convert Services:DynDNS to Middlewared added

#3 - 10/13/2017 04:40 AM - William Grzybowski

- Copied to deleted (Feature #26179: Convert Services:DynDNS to Middlewared)
#4 - 10/13/2017 04:40 AM - William Grzybowski

- Copied from deleted (Feature #25944: Add Services:Rsync  to Middlewared)

#5 - 10/16/2017 06:26 AM - Vladimir Vinogradenko

- Status changed from Unscreened to Fix In Progress

#6 - 10/16/2017 06:50 AM - Vladimir Vinogradenko

- Status changed from Fix In Progress to Needs Developer Review

- Assignee changed from Vladimir Vinogradenko to William Grzybowski

#7 - 10/16/2017 09:13 AM - William Grzybowski

- Status changed from Needs Developer Review to Reviewed by Developer

- Assignee changed from William Grzybowski to Vladimir Vinogradenko

#8 - 10/16/2017 09:13 AM - William Grzybowski

- Target version changed from 11.1 to 11.1-BETA1

#9 - 10/16/2017 09:53 AM - Dru Lavigne

- Subject changed from Services:TFTP - GUI to Middlewared to Convert Services:TFTP to Middlewared

#10 - 10/17/2017 03:25 AM - Vladimir Vinogradenko

- Status changed from Reviewed by Developer to Ready For Release

#11 - 10/24/2017 04:48 AM - Dru Lavigne

- Status changed from Ready For Release to Resolved

#12 - 11/14/2017 01:22 PM - Nick Wolff

- Status changed from Resolved to Unscreened

- Assignee changed from Vladimir Vinogradenko to William Grzybowski

- Priority changed from Expected to Regression

- Target version changed from 11.1-BETA1 to 11.1

- QA Status Test Fails FreeNAS added

- QA Status deleted (Not Tested)

So it looks like we activate tftp by having it in /etc/inetd.conf. When I turn on the service tftp doesn't seem to work, nothing is bound to port 69, and the

line in inetd.conf is still filtered out. The service light turns green

Please let me know what questions you have or if I'm missing something here.

#13 - 11/14/2017 01:24 PM - Nick Wolff

- Assignee changed from William Grzybowski to Vladimir Vinogradenko

#14 - 11/14/2017 10:39 PM - Vladimir Vinogradenko

- Status changed from Unscreened to Needs Developer Review

- Assignee changed from Vladimir Vinogradenko to William Grzybowski

Nick, I've found and fixed the case where "Start on boot" checkbox was unchecked and user clicked "Start now". Then the service light turned green,

but inetd.conf was not updated and TFTP was not working. Was this your case?
#15 - 11/15/2017 06:45 AM - Nick Wolff

Correct it looks like that was the issue. I will retest when we get in 11.1-rc2

Thanks,

Nick

#16 - 11/16/2017 04:34 AM - William Grzybowski

- Status changed from Needs Developer Review to Reviewed by Developer

- Assignee changed from William Grzybowski to Vladimir Vinogradenko

- QA Status Not Tested added

- QA Status deleted (Test Fails FreeNAS)

#17 - 11/16/2017 10:05 AM - Vladimir Vinogradenko

- Status changed from Reviewed by Developer to Ready For Release

#18 - 11/27/2017 07:07 AM - Dru Lavigne

- Target version changed from 11.1 to 11.1-RC2

#19 - 11/28/2017 09:37 AM - Nick Wolff

- Needs QA changed from Yes to No

- QA Status Test Passes FreeNAS added

- QA Status deleted (Not Tested)

Test passes

Tested starting and stopping service with on-boot flag enabled and disabled.

#20 - 11/29/2017 01:00 PM - Dru Lavigne

- Target version changed from 11.1-RC2 to 11.1-RC3

#21 - 12/01/2017 11:20 AM - Dru Lavigne

- Status changed from Ready For Release to Resolved

#22 - 04/09/2018 08:24 AM - Joe Maloney

- Needs Automation changed from No to Yes
